Bug 249898 - sysutils/lnav: Update to 0.9.0
Summary: sysutils/lnav: Update to 0.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/tstack/lnav/releas...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-09-26 00:35 UTC by Thomas Hurst
Modified: 2020-11-16 17:16 UTC (History)
3 users (show)

See Also:


Attachments
Patch to 0.9.0 (1.90 KB, patch)
2020-09-26 00:35 UTC, Thomas Hurst
tom: maintainer-approval+
Details | Diff
Patch to 0.9.0 with smaller release tarball (2.30 KB, patch)
2020-09-26 16:18 UTC, Thomas Hurst
tom: maintainer-approval+
Details | Diff
Patch to 0.9.0 with smaller release tarball (2.30 KB, patch)
2020-09-26 16:27 UTC, Thomas Hurst
tom: maintainer-approval+
Details | Diff
additional improvements on top of submitter's patch (3.24 KB, patch)
2020-10-01 13:23 UTC, Fernando Apesteguía
fernape: maintainer-approval? (tom)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Hurst 2020-09-26 00:35:21 UTC
Created attachment 218300 [details]
Patch to 0.9.0

Update port to 0.9.0.
Comment 1 Automation User 2020-09-26 03:11:20 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/194755930
Comment 2 daniel.engberg.lists 2020-09-26 05:24:36 UTC
Hi,

Is there a reason why we can't use release archive as suggested in section 5.4.3 in Porter's Handbook?

https://github.com/tstack/lnav/releases/tag/v0.9.0 --> https://github.com/tstack/lnav/releases/download/v0.9.0/lnav-0.9.0.tar.bz2 (much smaller download too)

Best regards,
Daniel
Comment 3 Thomas Hurst 2020-09-26 16:18:33 UTC
Created attachment 218332 [details]
Patch to 0.9.0 with smaller release tarball

Not really, just slightly more convenient. That better?
Comment 4 Thomas Hurst 2020-09-26 16:27:12 UTC
Created attachment 218333 [details]
Patch to 0.9.0 with smaller release tarball

Wait, that's not how letters work.
Comment 5 daniel.engberg.lists 2020-10-01 08:15:58 UTC
Looks better, not sure if defining GH_ACCOUNT is ideal but it's not a major issue. Thanks!
Comment 6 Fernando Apesteguía freebsd_committer 2020-10-01 11:30:52 UTC
It does not build on i386 but the port does not use ONLY_FOR_ARCHS or similar. Is this intentional?

logfile.cc:329:37: error: non-constant-expression cannot be narrowed from type 'long long' to 'ssize_t' (aka 'int') in initializer list [-Wc++11-narrowing]
                    check_line_off, this->lf_index_size - check_line_off
                                    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Comment 7 Fernando Apesteguía freebsd_committer 2020-10-01 13:23:21 UTC
Created attachment 218448 [details]
additional improvements on top of submitter's patch

This one adds a patch to make it build in i386. It also seems to run fine.
Comment 8 Thomas Hurst 2020-10-01 16:44:33 UTC
Thanks Fernando, reported upstream: https://github.com/tstack/lnav/issues/781

Your suggested fix looks broken on >2 GiB files, lnav just sits there loading forever, which makes sense if it's truncating a 64-bit file off_t to a 32-bit memory ssize_t.
Comment 9 Fernando Apesteguía freebsd_committer 2020-10-01 16:49:45 UTC
(In reply to Thomas Hurst from comment #8)
Excellent. Thanks for double checking. I did try with a small log actually.
Comment 10 commit-hook freebsd_committer 2020-11-16 17:15:34 UTC
A commit references this bug:

Author: fernape
Date: Mon Nov 16 17:14:32 UTC 2020
New revision: 555499
URL: https://svnweb.freebsd.org/changeset/ports/555499

Log:
  sysutils/lnav: Update to 0.9.0

  ChangeLog: https://github.com/tstack/lnav/releases/tag/v0.9.0

  This new version is broken in i386.
  See https://github.com/tstack/lnav/issues/781

  PR:	249898
  Submitted by:	tom@hur.st (maintainer)

Changes:
  head/sysutils/lnav/Makefile
  head/sysutils/lnav/distinfo
  head/sysutils/lnav/files/
Comment 11 Fernando Apesteguía freebsd_committer 2020-11-16 17:16:24 UTC
Committed,

Note that I did not include my patch and marked the port as BROKEN in i386, let's see if this gets fixed soon.

Thanks!